$include pathxls
          d = open("rekv",-2)
          getfirst(d)

          dde_open("EXCEL")
          dde_execute("[APP.MINIMIZE()]")
          dde_execute("[OPEN(" + chr(34) + pathxls + "journal.xls" + chr(34) + ")]")     
          dde_execute("[SELECT(" + chr(34) + "R20C1:R1000C19" + chr(34) + ")]")
          dde_execute("[EDIT.DELETE(2)]") rem удалить прежние ячейки со сдвигом вверх
          dde_execute("[FORMAT.FONT(" + chr(34) + "Times New Roman" + chr(34) + ",10,FALSE,FALSE,FALSE,FALSE,1)]")
          dde_poke("R11C6",trim('Название1'.d) + " " + trim('Название2'.d))
          dde_poke("R12C6",trim('ИНН'.d)+"/745101001")

          line = 20
          count = 1
          jor = open("journal",-2)
          getfirst(jor)
          while( eof(jor) = 0 )
            dde_poke("R" + str(line,1,0) + "C1",str(count,1,0))
            dde_poke("R" + str(line,1,0) + "C2","'" + fldtodate('Дата_опр.'.jor))
            dde_poke("R" + str(line,1,0) + "C3","'" + " 1 ")
            dde_poke("R" + str(line,1,0) + "C4","'" + " 01 ")
            dde_poke("R" + str(line,1,0) + "C5",'Номер_док.'.jor)
            dde_poke("R" + str(line,1,0) + "C6","'" + fldtodate('Дата'.jor))
            dde_poke("R" + str(line,1,0) + "C11",'Название'.jor)
            dde_poke("R" + str(line,1,0) + "C12","'" + trim('ИННП'.jor) + " / " + trim('КППП'.jor))
            dde_poke("R" + str(line,1,0) + "C13","643, российский рубль")
            dde_poke("R" + str(line,1,0) + "C14",'Всего'.jor)
            dde_poke("R" + str(line,1,0) + "C15",'НДС_18'.jor + 'НДС_10'.jor + 'НДС_0'.jor)
            line = line + 1
            count = count + 1
            getnext(jor)
          wend
          for i = 14 to 19
            dde_poke("R" + str(line,1,0) + "C" + str(i,1,0),"=СУММ(R[-1]C:R[-" + str(line - 20,1,0) + "]C)")
          next
          dde_execute("[SELECT(" + chr(34) + "R20C1:R" + str(line,1,0) + "C19" + chr(34) + ")]")
          dde_execute("[BORDER(1,1,1,1,1)]")

          line = line + 2
          dde_poke("R" + str(line,1,0) + "C2","Руководитель организации или иное уполномоченное лицо __________________   Дремлюга С.П. ")
          line = line + 1
          dde_poke("R" + str(line,1,0) + "C8","(подпись)             (ф.и.о.)       ")
          line = line + 3
          dde_poke("R" + str(line,1,0) + "C2","Индивидуальный предприниматель ________________ ___________________  ")
          line = line + 1
          dde_poke("R" + str(line,1,0) + "C6","(подпись)             (ф.и.о.)       ")
          line = line + 3
          dde_poke("R" + str(line,1,0) + "C2","Реквизиты свидетельства о государственной регистрации индивидуального предпринимателя _________________________________________________________________________________________________")

          dde_execute("[SELECT(" + chr(34) + "R" + str(line - 10,1,0) + "C1:" + "R" + str(line,1,0) + "C8" + chr(34) + ")]")
          dde_execute("[ALIGNMENT(2,FALSE,2,0)]")

          dde_execute("[APP.RESTORE()]")
          dde_execute("[SELECT("+chr(34)+"R1C1:R1C1"+chr(34)+")]")
          dde_close
          end
